package com.logicbig.example;

import javax.persistence.*;
import java.sql.Timestamp;
import java.time.Instant;

@Entity
public class Article {
    @Id
    @GeneratedValue
    private int id;
    private String content;
    private Timestamp dateCreated;
    private Timestamp lastUpdated;

    @PrePersist
    void preCreate() {
        dateCreated = Timestamp.from(Instant.now());
        lastUpdated = Timestamp.from(Instant.now());
    }

    @PreUpdate
    void preUpdate() {
        lastUpdated = Timestamp.from(Instant.now());
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return "Article{" +
                "id=" + id +
                ", content='" + content + '\'' +
                ", dateCreated=" + dateCreated +
                ", lastUpdated=" + lastUpdated +
                '}';
    }
}